Priority of the configured payment method. Smaller number is higher priority
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Wingback","colors":{"primary":"#EF3B4D","light":"#FF7886","dark":"#D81D38"},"favicon":"/media/favicon.png","logo":{"light":"https://mintcdn.com/wingback/GadBRdJt85xVxME0/media/logo/light.svg?fit=max\u0026auto=format\u0026n=GadBRdJt85xVxME0\u0026q=85\u0026s=93b61d8945910151ec8df39c2b469c8e","dark":"https://mintcdn.com/wingback/GadBRdJt85xVxME0/media/logo/dark.svg?fit=max\u0026auto=format\u0026n=GadBRdJt85xVxME0\u0026q=85\u0026s=ba6722dedd801b55082f19792ea3b441"},"api":{"mdx":{"server":"https://api.wingback.com"}},"navbar":{"links":[],"primary":{"type":"button","label":"Go to Dashboard","href":"https://app.wingback.com/"}},"footer":{"socials":{"website":"https://wingback.com","twitter":"https://twitter.com/wingbackapp","linkedin":"https://www.linkedin.com/company/wingbackapp/"}},"integrations":{"posthog":{"apiKey":"phc_9zg8YkIBr0SuofRjG6TujIu9Q6I2deAFFat4U3DpbrV","apiHost":"https://i.wingback.com"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"wingback","hasAudioNarration":false,"actualSubdomain":"wingback","customDomains":["docs-int.wingback.com"],"gitSource":{"type":"github","owner":"wingbackapp","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"docs","mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ae913eaf00457754795603e:success","clientVersion":"0.0.4094","searchFilterCounts":[{"language":"default","tag":"Developer Documentation","count":41},{"language":"default","tag":"API Reference","count":31},{"language":"default","tag":"SGI Fundamentals","count":19},{"language":"default","tag":"Pricing Model Guides","count":16},{"language":"default","tag":"User Guides","count":13},{"language":"default","tag":"User Manuals","count":10},{"language":"default","tag":"Customer","count":8},{"language":"default","tag":"Payment","count":6},{"language":"default","tag":"Guides","count":6},{"language":"default","tag":"Feature Overview","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid","slug":"/dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid","pageMetadata":{"title":"Get Saved Payment Method","openapi":"GET /v1/c/customer/{customer_id}/payment/method/{method_id}","description":"it belongs to that wb_customer and customer","href":"/dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"it belongs to that wb_customer and customer\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const IntRedir=()=>{if(typeof document===`undefined`){return null}else{setTimeout(()=>{const currentUrl=new URL(window.location.href);if(currentUrl.hostname===`docs-int.wingback.com`){currentUrl.hostname=`docs.wingback.com`;window.location.replace(currentUrl.toString())}},1);return _jsx(_Fragment,{})}};function _createMdxContent(props){const{_MdxComponentBoundary}={..._provideComponents(),...props.components};if(!_MdxComponentBoundary)_missingMdxReference(`_MdxComponentBoundary`,true);return _jsx(_MdxComponentBoundary,{name:`IntRedir`,children:_jsx(IntRedir,{})})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{IntRedir,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Saved Payment Method","openapi":"GET /v1/c/customer/{customer_id}/payment/method/{method_id}","description":"it belongs to that wb_customer and customer","href":"/dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[19,38,""],[136,436,"null;function _creat"]]},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/wingback/bbb25f53a15d63f9/int-redir.js"],"openApiReferenceData":{"operation":{"tags":["payment-method"],"summary":"Return a specific payment method found by its id, checking","description":"it belongs to that wb_customer and customer","operationId":"get_payment_method","parameters":["5e16aed2-5d03-4027-9ea4-edec26b27eb9","b30d2e4e-fc72-4952-9c2f-0f60b8527d71"],"responses":{"200":"717286fd-c4b6-4a3a-b05e-4b465d18c56f"},"security":["75639ea7-870b-4cdc-bd16-995688a74d79","7cf38b5b-05cf-456a-8e6f-f197ddceb744"],"method":"get","type":"path","servers":["a4003425-b8cc-41a9-b3c3-854191252b9c","bc411509-c143-4d72-a409-c7938d980f87"],"path":"/v1/c/customer/{customer_id}/payment/method/{method_id}","baseUrlOptions":["http://127.0.0.1:8080","https://api.app.test.wingback.com"],"title":"Return a specific payment method found by its id, checking","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"5e16aed2-5d03-4027-9ea4-edec26b27eb9":{"name":"customer_id","in":"path","description":"Id of the customer","required":true,"schema":{"type":"string","isRequired":true,"description":"Id of the customer","uniqueKey":"","typeLabel":"string"}},"b30d2e4e-fc72-4952-9c2f-0f60b8527d71":{"name":"method_id","in":"path","description":"Id of the payment method","required":true,"schema":{"type":"string","isRequired":true,"description":"Id of the payment method","uniqueKey":"","typeLabel":"string"}}},"responses":{"717286fd-c4b6-4a3a-b05e-4b465d18c56f":{"description":"customer payment method","content":{"application/json":{"schema":{"type":"object","description":"Either a Card or a Sepa Debit authorization, and the\nprovider.\n\nOnly fields starting with card_ or fields starting\nwith ssd_ can be filled.","required":["id","provider","status","created","method_type","details"],"properties":{"created":{"type":"string","format":"date-time","description":"Date the payment method was configured","isRequired":true,"uniqueKey":"created","typeLabel":"string\u003cdate-time>"},"details":{"oneOf":[{"type":"object","description":"Details about the configured payment method\n* Card - credit card\n* SepaDebit - SEPA bank payments","required":["Card"],"properties":{"Card":{"type":"object","description":"Details of the attached credit card, configured as a payment method","required":["brand","expiration","last_digits"],"properties":{"brand":{"type":"string","description":"Credit card brand - Visa, MasterCard, American Express etc","isRequired":true,"uniqueKey":"details.oneOf.0.Card.brand","typeLabel":"string"},"expiration":{"type":"string","description":"Credit card expiration date. Follows MM/YY format","isRequired":true,"uniqueKey":"details.oneOf.0.Card.expiration","typeLabel":"string"},"last_digits":{"type":"string","description":"Last 4 digits of the credit card","isRequired":true,"uniqueKey":"details.oneOf.0.Card.last_digits","typeLabel":"string"}},"isRequired":true,"uniqueKey":"details.oneOf.0.Card","typeLabel":"object"}},"isRequired":true,"uniqueKey":"details.oneOf.0","typeLabel":"object"},{"type":"object","description":"Details about the configured payment method\n* Card - credit card\n* SepaDebit - SEPA bank payments","required":["SepaDebit"],"properties":{"SepaDebit":{"type":"object","description":"Details of the configured payment method for SEPA payments","properties":{"bank_code":{"oneOf":[{"type":"string","description":"Code of the bank","uniqueKey":"details.oneOf.1.SepaDebit.bank_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"Code of the bank","uniqueKey":"details.oneOf.1.SepaDebit.bank_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"details.oneOf.1.SepaDebit.bank_code","typeLabel":"string | null"},"branch_code":{"oneOf":[{"type":"string","description":"Code of the bank branch","uniqueKey":"details.oneOf.1.SepaDebit.branch_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"Code of the bank branch","uniqueKey":"details.oneOf.1.SepaDebit.branch_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"details.oneOf.1.SepaDebit.branch_code","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","description":"Country code of the bank","uniqueKey":"details.oneOf.1.SepaDebit.country.oneOf.0","typeLabel":"string"},{"type":"null","description":"Country code of the bank","uniqueKey":"details.oneOf.1.SepaDebit.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"details.oneOf.1.SepaDebit.country","typeLabel":"string | null"},"last_digits":{"oneOf":[{"type":"string","description":"Last digits of the bank account","uniqueKey":"details.oneOf.1.SepaDebit.last_digits.oneOf.0","typeLabel":"string"},{"type":"null","description":"Last digits of the bank account","uniqueKey":"details.oneOf.1.SepaDebit.last_digits.oneOf.1","typeLabel":"null"}],"uniqueKey":"details.oneOf.1.SepaDebit.last_digits","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"details.oneOf.1.SepaDebit","typeLabel":"object"}},"isRequired":true,"uniqueKey":"details.oneOf.1","typeLabel":"object"},{"type":"object","description":"Details about the configured payment method\n* Card - credit card\n* SepaDebit - SEPA bank payments","required":["VbanBankTransferEu"],"properties":{"VbanBankTransferEu":{"type":"object","description":"Bank details that the Customer can use to settle invoices","required":["account_holder_name","bic","country","iban"],"properties":{"account_holder_name":{"type":"string","description":"Name of the account holder","isRequired":true,"uniqueKey":"details.oneOf.2.VbanBankTransferEu.account_holder_name","typeLabel":"string"},"bic":{"type":"string","description":"Business Identifier Code","isRequired":true,"uniqueKey":"details.oneOf.2.VbanBankTransferEu.bic","typeLabel":"string"},"country":{"type":"string","description":"Country of the bank account","isRequired":true,"uniqueKey":"details.oneOf.2.VbanBankTransferEu.country","typeLabel":"string"},"iban":{"type":"string","description":"IBAN","isRequired":true,"uniqueKey":"details.oneOf.2.VbanBankTransferEu.iban","typeLabel":"string"}},"isRequired":true,"uniqueKey":"details.oneOf.2.VbanBankTransferEu","typeLabel":"object"}},"isRequired":true,"uniqueKey":"details.oneOf.2","typeLabel":"object"}],"isRequired":true,"uniqueKey":"details","typeLabel":"object"},"id":{"type":"string","description":"Unique identifier of an object. Consists of object class prefix and a UUID","example":"Cust_c40bea18-c0c9-44b1-bd0c-43f5283e1670","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"method_type":{"type":"string","description":"Type of the Payment Method:\n* Card - Credit Card\n* SepaDebit - SEPA bank transfer","enum":["card","sepa_debit","vban_bank_transfer_eu"],"isRequired":true,"uniqueKey":"method_type","typeLabel":"enum\u003cstring>"},"provider":{"type":"string","description":"The payment providers known by the backend.\n\nThose variants MUST be kept identical to the variants of\nthe payment_provider enum of the postgres database","enum":["authorize","self_handled","stripe"],"example":"stripe","isRequired":true,"uniqueKey":"provider","typeLabel":"enum\u003cstring>"},"status":{"type":"string","description":"Payment Method Status:\n* Active - can be used\n* Inactive - disabled. Might be re-enabled\n* Detached - disabled, can not be re-activated\n* Invalid - error using payment method","enum":["active","inactive","detached","invalid"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"holder_name":{"oneOf":[{"type":"string","description":"Name on the credit card","uniqueKey":"holder_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name on the credit card","uniqueKey":"holder_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"holder_name","typeLabel":"string | null"},"preference":{"oneOf":[{"type":"integer","format":"int32","description":"Priority of the configured payment method. Smaller number is higher priority","uniqueKey":"preference.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Priority of the configured payment method. Smaller number is higher priority","uniqueKey":"preference.oneOf.1","typeLabel":"null"}],"uniqueKey":"preference","typeLabel":"integer\u003cint32> | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"created":"2023-11-07T05:31:56Z","details":{"Card":{"brand":"\u003cstring>","expiration":"\u003cstring>","last_digits":"\u003cstring>"}},"id":"Cust_c40bea18-c0c9-44b1-bd0c-43f5283e1670","method_type":"card","provider":"stripe","status":"active","holder_name":"\u003cstring>","preference":123}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"75639ea7-870b-4cdc-bd16-995688a74d79":{"api-key":{"type":"apiKey","in":"header","name":"wb-key","scopes":[]}},"7cf38b5b-05cf-456a-8e6f-f197ddceb744":{"wb_user_cookie":{"type":"apiKey","in":"cookie","name":"app-session","scopes":[]}}},"servers":{"a4003425-b8cc-41a9-b3c3-854191252b9c":{"url":"http://127.0.0.1:8080","description":"Local server"},"bc411509-c143-4d72-a409-c7938d980f87":{"url":"https://api.app.test.wingback.com","description":"Testing server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"wb-key","scopes":[]},"schema":{"title":"wb-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"api-key","name":"wb-key"}],"title":"api-key"},{"schemes":[{"scheme":{"type":"apiKey","in":"cookie","name":"app-session","scopes":[]},"schema":{"title":"app-session","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"wb_user_cookie","name":"app-session"}],"title":"wb_user_cookie"}]},"originalFileLocation":"openapi.json"},"subdomain":"wingback","siteName":"Wingback","title":"Get Saved Payment Method - Wingback","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-06T22:42:18.099Z","originalFileLocation":"dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"it belongs to that wb_customer and customer\">\u003cmeta data-mint-head name=\"application-name\" content=\"Wingback\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/wingback/UnON2ZxPucVjTp_q/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/wingback/UnON2ZxPucVjTp_q/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/wingback/UnON2ZxPucVjTp_q/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/wingback/UnON2ZxPucVjTp_q/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/wingback/UnON2ZxPucVjTp_q/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/wingback/UnON2ZxPucVjTp_q/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/wingback/UnON2ZxPucVjTp_q/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/wingback/UnON2ZxPucVjTp_q/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/wingback/UnON2ZxPucVjTp_q/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get Saved Payment Method - Wingback\">\u003cmeta data-mint-head property=\"og:description\" content=\"it belongs to that wb_customer and customer\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Wingback\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs-int.wingback.com/dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://wingback.mintlify.site/_mintlify/api/og/v2?division=Payment\u0026amp;title=Get+Saved+Payment+Method\u0026amp;description=it+belongs+to+that+wb_customer+and+customer\u0026amp;theme=6caedc0580835f3eaa84c0a4\u0026amp;signature=d0c1b52a5925cffcb7484c5aea66b35238bee676e4f42c6959d7a3217b5de369\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get Saved Payment Method - Wingback\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"it belongs to that wb_customer and customer\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://wingback.mintlify.site/_mintlify/api/og/v2?division=Payment\u0026amp;title=Get+Saved+Payment+Method\u0026amp;description=it+belongs+to+that+wb_customer+and+customer\u0026amp;theme=6caedc0580835f3eaa84c0a4\u0026amp;signature=d0c1b52a5925cffcb7484c5aea66b35238bee676e4f42c6959d7a3217b5de369\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/wingback/UnON2ZxPucVjTp_q/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Wingback\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#EF3B4D\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs-int.wingback.com/dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs-int.wingback.com/#organization\",\"name\":\"Wingback\",\"url\":\"https://docs-int.wingback.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/wingback/GadBRdJt85xVxME0/media/logo/light.svg?fit=max\u0026auto=format\u0026n=GadBRdJt85xVxME0\u0026q=85\u0026s=93b61d8945910151ec8df39c2b469c8e\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs-int.wingback.com#website\",\"name\":\"Wingback\",\"url\":\"https://docs-int.wingback.com\",\"publisher\":{\"@id\":\"https://docs-int.wingback.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs-int.wingback.com/dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid#webpage\",\"url\":\"https://docs-int.wingback.com/dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid\",\"name\":\"Get Saved Payment Method\",\"description\":\"it belongs to that wb_customer and customer\",\"dateModified\":\"2026-01-06T22:42:18.099Z\",\"isPartOf\":{\"@id\":\"https://docs-int.wingback.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs-int.wingback.com/dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs-int.wingback.com/dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://docs-int.wingback.com/dev/api-reference/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Payment\",\"item\":\"https://docs-int.wingback.com/dev/api-reference/payment/post_c_customer_customerid_payment_session\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Get Saved Payment Method\",\"item\":\"https://docs-int.wingback.com/dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs-int.wingback.com/dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid#apireference\",\"headline\":\"Get Saved Payment Method\",\"name\":\"Get Saved Payment Method\",\"description\":\"it belongs to that wb_customer and customer\",\"url\":\"https://docs-int.wingback.com/dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid\",\"mainEntityOfPage\":{\"@id\":\"https://docs-int.wingback.com/dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid#webpage\"},\"dateModified\":\"2026-01-06T22:42:18.099Z\",\"publisher\":{\"@id\":\"https://docs-int.wingback.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs-int.wingback.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Wingback\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Wingback","nav":{"global":null,"tabs":[{"tab":"User Guides","pages":[{"title":"User Guides","href":"/user/welcome"}]},{"tab":"User Manuals","pages":[{"title":"User Manuals","href":"/manual/introduction"}]},{"tab":"SGI Fundamentals","pages":[{"title":"SGI Fundamentals","href":"/fundamentals/vocab/introduction"}]},{"tab":"Developer Documentation","groups":[{"group":"Welcome","pages":[{"title":"Introduction","href":"/dev/welcome"}]},{"group":"Guides","pages":[{"title":"Working with Features and Entitlements","href":"/dev/guides/features-entitlements"},{"title":"Integrating Wingback into your Signup Flow","href":"/dev/guides/integrate-wingback-signup-flow"},{"title":"Billing Portal Integration","href":"/dev/guides/billing-portal"},{"title":"Adding a Dynamic Pricing Page to Your Website","href":"/dev/guides/pricing-page"},{"title":"Metering Usage","href":"/dev/guides/metering"},{"title":"Webhooks","href":"/dev/guides/webhooks"}]},{"group":"Wingback.js","pages":[{"title":"Introduction","href":"/dev/wingback-js/introduction"},{"title":"Pricing Pages","href":"/dev/wingback-js/pricing"}]},{"group":"Advanced","pages":[{"title":"Variable Invoicing Schedules","href":"/dev/advanced/variable-invoicing-schedules"}]},{"group":"API Reference","pages":[{"title":"Introduction","href":"/dev/api-reference/introduction"},{"group":"Customer","pages":[{"title":"Create New Customer","openapi":"POST /v1/c/customer","href":"/dev/api-reference/customer/post_c_customer"},{"title":"Get Customer","openapi":"GET /v1/c/customer/{customer_id}","href":"/dev/api-reference/customer/get_c_customer_customerid"},{"title":"Search for Customers","openapi":"GET /v1/c/customer","href":"/dev/api-reference/customer/get_c_customer"},{"title":"Activate Customer","openapi":"POST /v1/c/customer/{customer_id}/activate","href":"/dev/api-reference/customer/post_c_customer_customerid_activate"},{"title":"Freeze/Inactivate Customer","openapi":"POST /v1/c/customer/{customer_id}/inactivate","href":"/dev/api-reference/customer/post_c_customer_customerid_inactivate"},{"title":"Add Address","openapi":"POST /v1/c/customer/{customer_id}/address","href":"/dev/api-reference/customer/post_c_customer_customerid_address"},{"title":"Get Address","openapi":"GET /v1/c/customer/{customer_id}/address","href":"/dev/api-reference/customer/get_c_customer_customerid_address"},{"title":"Delete Address","openapi":"DELETE /v1/c/customer/{customer_id}/address","href":"/dev/api-reference/customer/delete_c_customer_customerid_address"}]},{"group":"Contract","pages":[{"title":"Subscribe Customer to a Plan","openapi":"POST /v1/c/contract","href":"/dev/api-reference/contract/post_c_contract"},{"title":"Retrieve Contract Details","openapi":"GET /v1/c/contract/{contract_id}","href":"/dev/api-reference/contract/get_c_contract_contractid"},{"title":"Upgrade/Change Plan","openapi":"POST /v1/c/contract/{contract_id}/upgrade","href":"/dev/api-reference/contract/post_c_contract_contractid_upgrade"},{"title":"Estimate Upgrade Costss","openapi":"POST /v1/c/contract/{contract_id}/upgrade_estimate","href":"/dev/api-reference/contract/post_c_contract_contractid_upgrade_estimate"}]},{"group":"Billing Portal","pages":[{"title":"Login a Customer to the Self-Serve Portal","openapi":"POST /v1/c/customer/authenticate","href":"/dev/api-reference/billing-portal/post_c_customer_authenticate"}]},{"group":"Entitlements","pages":[{"title":"Get Access Entitlements","openapi":"GET /v1/c/entitlement/{customer_id}/access","href":"/dev/api-reference/entitlement/get_c_entitlement_customerid_access"},{"title":"Get Billing Entitlements","openapi":"GET /v1/c/entitlement/{customer_id}/billing","href":"/dev/api-reference/entitlement/get_c_entitlement_customerid_billing"}]},{"group":"Usage","pages":[{"title":"Report Single Event","openapi":"POST /v1/c/usage","href":"/dev/api-reference/usage/post_c_usage"},{"title":"Bulk Usage Upload","openapi":"POST /v1/c/usage/bulk","href":"/dev/api-reference/usage/post_c_usage_bulk"}]},{"group":"Payment","pages":[{"title":"Create Payment Session","openapi":"POST /v1/c/customer/{customer_id}/payment/session","href":"/dev/api-reference/payment/post_c_customer_customerid_payment_session"},{"title":"Add Payment Method","openapi":"POST /v1/c/customer/{customer_id}/payment/method","href":"/dev/api-reference/payment/post_c_customer_customerid_payment_method"},{"title":"List saved Payment Methods","openapi":"GET /v1/c/customer/{customer_id}/payment/method","description":"the inactive ones but not the detached ones","href":"/dev/api-reference/payment/get_c_customer_customerid_payment_method"},{"title":"Get Saved Payment Method","openapi":"GET /v1/c/customer/{customer_id}/payment/method/{method_id}","href":"/dev/api-reference/payment/get_c_customer_customerid_payment_method_methodid"},{"title":"List saved Payment Methods","openapi":"GET /v1/c/customer/{customer_id}/payment/method","description":"the inactive ones but not the detached ones","href":"/dev/api-reference/payment/get_c_customer_customerid_payment_method_selection"},{"title":"Set Default Payment Method","openapi":"POST /v1/c/customer/{customer_id}/payment/method_selection","href":"/dev/api-reference/payment/post_c_customer_customerid_payment_method_selection"}]},{"group":"Balance","pages":[{"title":"Get Current Customer Balance","openapi":"GET /v1/c/customer/{customer_id}/balance","href":"/dev/api-reference/balance/get_c_customer_customerid_balance"}]},{"group":"Virtual Wallets (Credits)","pages":[{"title":"Get Virtual Balances","openapi":"GET /v1/c/customer/{customer_id}/virtual-wallet/","href":"/dev/api-reference/virtual-wallet/get_c_customer_customerid_virtual-wallet"},{"title":"Add Virtual Credits","openapi":"POST /v1/c/virtual-wallet-transaction","href":"/dev/api-reference/virtual-wallet/post_c_virtual-wallet-transaction"}]},{"group":"Invoices","pages":[{"title":"List Invoices","openapi":"GET /v1/c/invoice","href":"/dev/api-reference/invoice/get_c_invoice"},{"title":"Get Invoice","openapi":"GET /v1/c/invoice/{invoice_id}","href":"/dev/api-reference/invoice/get_c_invoice_invoiceid"},{"title":"Configure Global Invoicing Preferences","openapi":"POST /v1/c/preferences/invoicing","href":"/dev/api-reference/invoice/post_c_preferences_invoicing"},{"title":"Manually Trigger Invoice Generation","openapi":"POST /v1/c/invoice","href":"/dev/api-reference/invoice/post_c_invoice"}]}]}]}]},"basePath":"","title":"Get Saved Payment Method - Wingback","buildId":"dpl_42LwxxU1kGN114H4XzwGYXa9ZDah","deploymentId":"dpl_42LwxxU1kGN114H4XzwGYXa9ZDah","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C-hEh3I2.js","utils-CnF4QiUD.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-C7PVNbel.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-8ytevL2A.js","snippetPresets-BT1alx3v.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BLXC0i_W.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CyLIGI9_.js","shallow-DC0lGVIW.js","getApiPlaygroundDisplay-CgDQ85tN.js","CodeSnippet-6-I-Gpv9.js","CodeSnippets-BAk1kDdu.js","Page-C945cI-W.js","getPastedJson-B276RuWN.js","icon-BqP8etTm.js","MethodPill-DM6sbxG1.js","DuplicateIcon-PyJglOaE.js","createIcon-CMeOMAc_.js","DynamicMarkdown-BoyYAA8K.js","SectionHeading-DAYv3gvZ.js","axios-vUo_bRtp.js","Markdown-BhTTmazV.js","clsx-CR-RHrVC.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CBUH0-zX.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BmARFYNC.js"]}